https://shopify.com/admin/api/2020-04/orders/{order_id}/refunds.jsonhttps://shopify.dev/docs/admin-api/rest/reference/orders/refund#create-2020-04
order_id
Whether to add the line items back to the store inventory. Use restock_type for refund line items instead.
Whether to send a refund notification to the customer.
An optional note attached to a refund.
An optional comment that explains a discrepancy between calculated and actual refund amounts. Used to populate the reason property of the resulting order adjustment object attached to the refund. Valid values: restock, damage, customer, and other.
Specify how much shipping to refund. It has the following properties: full_refund: Whether to refund all remaining shipping. amount: Set a specific amount to refund for shipping. Takes precedence over full_refund.
A list of line item IDs, quantities to refund, and restock instructions. Each entry has the following properties: line_item_id: The ID of a line item to refund. quantity: The quantity to refund. restock_type: How this refund line item affects inventory levels. Valid values: no_restock: Refunding these items won't affect inventory. cancel: The items have not yet been fulfilled. The canceled quantity will be added back to the available count. The number of fulfillable units for this line item will decrease. return: The items were already delivered but will be returned to the merchant. The returned quantity will be added back to the available count. The number of fulfillable units for this line item will remain unchanged. location_id: The ID of the location where the items should be restocked. This is required when the value of restock_type is return or cancel. If the item is not already stocked at the location, then the item is connected to the location. An error is returned when the item is connected to a fulfillment service location and a different location is provided.
A list of transactions to process as refunds.
The three-letter code (ISO 4217 format) for the currency used for the refund.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://shopify.com/admin/api/2020-04/orders/{order_id}/refunds.json' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://shopify.com/admin/api/2020-04/orders/{order_id}/refunds.jsonhttps://shopify.dev/docs/admin-api/rest/reference/orders/refund#create-2020-04
order_id
Whether to add the line items back to the store inventory. Use restock_type for refund line items instead.
Whether to send a refund notification to the customer.
An optional note attached to a refund.
An optional comment that explains a discrepancy between calculated and actual refund amounts. Used to populate the reason property of the resulting order adjustment object attached to the refund. Valid values: restock, damage, customer, and other.
Specify how much shipping to refund. It has the following properties: full_refund: Whether to refund all remaining shipping. amount: Set a specific amount to refund for shipping. Takes precedence over full_refund.
A list of line item IDs, quantities to refund, and restock instructions. Each entry has the following properties: line_item_id: The ID of a line item to refund. quantity: The quantity to refund. restock_type: How this refund line item affects inventory levels. Valid values: no_restock: Refunding these items won't affect inventory. cancel: The items have not yet been fulfilled. The canceled quantity will be added back to the available count. The number of fulfillable units for this line item will decrease. return: The items were already delivered but will be returned to the merchant. The returned quantity will be added back to the available count. The number of fulfillable units for this line item will remain unchanged. location_id: The ID of the location where the items should be restocked. This is required when the value of restock_type is return or cancel. If the item is not already stocked at the location, then the item is connected to the location. An error is returned when the item is connected to a fulfillment service location and a different location is provided.
A list of transactions to process as refunds.
The three-letter code (ISO 4217 format) for the currency used for the refund.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://shopify.com/admin/api/2020-04/orders/{order_id}/refunds.json' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}